function dxDrawButton(x, y, w, h, text)
	local mx, my = getMousePos()
	local bgcolor = tocolor(0, 230, 230, 255)
	local tcolor = tocolor(255, 255, 255, 255)
	if isPointInRect(mx, my, x - 2, y, w, h) then
		bgcolor = tocolor(0, 100, 100, 255)
	else
		bgcolor = tocolor(0, 230, 230, 255)
	end
	dxDrawRectangle(x, y, w, h, bgcolor, false)
	dxDrawText(text, x, y, w + x, h + y, tcolor, 1.5, "default-bold", "center", "center", true, false, false, true)
end
function dxDrawWindow(x, y, w, h, text)
	local mx, my = getMousePos()
	local bgcolor = tocolor(0, 0, 0, 200)
	local bgcolors = tocolor(0, 230, 230, 255)
	local tcolor = tocolor(255, 255, 255, 255)
	dxDrawRectangle(x, y, w, h, bgcolor, false)
	dxDrawRectangle(x + 4, y + 4, w - 8, 25, bgcolors, false)
	dxDrawText(text, x + 4, y + 4, w + x - 8, 30 + y, tcolor, 1.5, "default-bold", "center", "center", true, false, false, true)
end
function dxDrawtext(x, y, w, h, text)
	dxDrawText(text, x, y, w + x, h + y, tcolor, 1.5, "default-bold", "center", "center", true, false, false, true)
end

function isPointInRect(x, y, rx, ry, rw, rh)
	if x >= rx and y >= ry and x <= rx + rw and y <= ry + rh then
		return true
	else
		return false
	end
end
function cursorPosition(x, y, w, h)
	if (not isCursorShowing()) then
		return false
	end
	local mx, my = getCursorPosition()
	local fullx, fully = guiGetScreenSize()
	cursorx, cursory = mx*fullx, my*fully
	if cursorx > x and cursorx < x + w and cursory > y and cursory < y + h then
		return true
	else
		return false
	end
end
function getMousePos()
	local xsc, ysc = guiGetScreenSize()
	local mx, my = getCursorPosition()
	if not mx or not my then
		mx, my = 0, 0
	end
	return mx * xsc, my * ysc
end

function isMouseClick()
	return wasMousePressedInCurrentFrame
end